/*=======================================================================
Nom du fichier:stdmno.c
Auteur: Philippe MARIANO

Rle: Source de la librairie stdmno.lib
Cr le 14/12/2010
Dernire rvision le 

Cross compilateur utilis: CodeVisionAVR V2.04.09
Composant cible : Atmel 8 bits 

Cible Hardware  : Carte  ATMEL 8 bits 

Remarque: Une fois compil par -> file --> Convert library
le fichier stdmno.lib est automatiquement plac dans le rpertoire CVAVR\LIB
========================================================================*/


#include <stdmno.h>

// ***************************************************************************************************************
// ***************************************************************************************************************
// 				Fonctions divers
// ***************************************************************************************************************
// Rcapitulatif
// 1) LSBYTE : Rcupration de l'octet de poids faible d'un entier
// 2) MSBYTE : Rcupration de l'octet de poids fort d'un entier
// ***************************************************************************************************************
// 1) LSBYTE : Rcupration de l'octet de poids faible d'un entier
//----------------------------------------------------------------------------------------------------------------
// Cration : Juin 2010
// Dernire rvision: 
//---------------------------------------------------------------------------------------------------------------- 
#if funcused LSBYTE
unsigned char LSBYTE(int value)
{
    unsigned int LByte;
    LByte = (unsigned char)(value & 0x00FF);
    return LByte;
} 
#endif
// ---------------------------------------------------------------------------------------------------------------
// 2) MSBYTE : Rcupration de l'octet de poids fort d'un entier
//----------------------------------------------------------------------------------------------------------------
// Cration : Juin 2010
// Dernire rvision: 
//---------------------------------------------------------------------------------------------------------------- 
#if funcused MSBYTE
unsigned char MSBYTE(int value)
{
    unsigned int MByte;
    MByte = (unsigned char)((value & 0xFF00)>>8);
    return MByte;
}
#endif
//----------------------------------------------------------------------------------------------------------------
#if funcused MSLSBYTEtoUINT
unsigned int MSLSBYTEtoUINT(unsigned char MSB, unsigned char LSB)
{
    unsigned int value = 0;
    value = (unsigned int)MSB;
    value = (value << 8) + LSB;
    return value;
}
#endif
// ***************************************************************************************************************