/*---------------------------------------------------------------------------
Nom du fichier:Tpavnum.h
Auteur: Philippe MARIANO

Rle: Table de transcodage du clavier numrique type SKP-18C 
Cr le 22/07/06
Dernire rvision le 22/07/06

Cross compilateur utilis: CodeVisionAVR
Composant cible : ATMEL 8 bits

Remarque: Ce fichier est destin  un projet CVAVR utilisant un clavier
numrique type PS2.
Il doit tre plac dans le sous rpertoire \CVAVR\INC\

Description: La table <g_Code_clav_num> fait la correspondance entre
le code envoy par le clavier et le caractre  afficher sur le LCD
Le contenu de cette table peut tre modifi conformment  la 
documentation du clavier et de l'afficheur. Sa longueur peut tre 'quelconque'.
--------------------------------------------------------------------------------*/

#ifndef LONGUEUR
#define LONGUEUR	18    // Doit correspondre au nombre de lignes de la table
#endif 

flash unsigned char g_Codes_clav_num[LONGUEUR][2]={
0x4a,'/',
0x5a,'',       // Touche Enter
0x69,'1',  
0x6b,'4',
0x6c,'7',
0x70,'0', 
0x71,'.',	
0x72,'2',
0x73,'5',
0x74,'6',
0x75,'8',
0x79,'+',
0x7a,'3',
0x7b,'-',
0x7c,'*',
0x7d,'9',
0xaa,0xaa, 	// Code renvoy par le clavier en rponse  une rinitialisation (0xFF)
0,0             // Fin de table
};  


