/*=======================================================================
Nom du fichier:PCF8574.c
Auteur: Philippe MARIANO

Rle: Source de la librairie PCF8574.lib  (PPE RobotSuivLigne)
Cr le 21/01/2010
Dernire rvision le 

Cross compilateur utilis: CodeVisionAVR
Composant cible : Atmel 8 bits (ATMega8535)

Remarque: Une fois compil par -> file --> Convert library
le fichier PCF8574.lib est automatiquement plac dans le rpertoire CVAVR\LIB 

========================================================================*/

// Ecriture sur un port E/S I2C PCF8574
//---------------------------------------------------------------------------------------------------------------- 
// Cration : Janvier 2010
// Dernire rvision: 
//---------------------------------------------------------------------------------------------------------------- 
#if funcused Ecrire_Port_I2C_Soft
void Ecrire_Port_I2C_Soft(unsigned char add, unsigned char data)
{
  i2c_start();
  i2c_write(add);
  i2c_write(data);
  i2c_stop();
}
#endif 
//---------------------------------------------------------------------------------------------------------------- 
// Lecture sur un port E/S I2C PCF8574
//---------------------------------------------------------------------------------------------------------------- 
// Cration : Janvier 2010
// Dernire rvision: 
//---------------------------------------------------------------------------------------------------------------- 
#if funcused Lire_Port_I2C_Soft
unsigned char Lire_Port_I2C_Soft(unsigned char add)
{
  unsigned char data;
  i2c_start();
  i2c_write(add | 1);
  data=i2c_read(0);
  i2c_stop();
  return data;
}
#endif 